Skip to main content
GET
Get the news items

Authorizations

token
string
query
required

API key authentication. Provide your API key as a query parameter.

Headers

accept
enum<string>
default:application/json
required

Specify return format

Available options:
application/json,
application/xml

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date.

pageSize
integer
default:15

Number of results returned. Maximum 100.

Required range: x <= 100
displayOutput
enum<string>
default:headline

Specify headline only (headline), headline + teaser (abstract), or headline + full body (full) text

Available options:
full,
abstract,
headline
date
string

The date to query for news. Shorthand for dateFrom and dateTo if they are the same. Format: yyyy-mm-dd

dateFrom
string

Date to query from point in time. Sorted by published date. Format: yyyy-mm-dd

dateTo
string

Date to query to point in time. Sorted by published date. Format: yyyy-mm-dd

updatedSince
integer

The last updated Unix timestamp (UTC) to pull and sort by

publishedSince
integer

The last published Unix timestamp (UTC) to pull and sort by

sort
enum<string>

Allows control of results sorting. Default is created, DESC. Format: field:direction. Sort Fields: id, created, updated. Sort Order: asc (ascending), desc (descending)

Available options:
id:asc,
id:desc,
created:asc,
created:desc,
updated:asc,
updated:desc
isin
string

One or more ISINs separated by a comma. Maximum 50. Format: csv

cusips
string

One or more CUSIPs separated by a comma. Maximum 50. License agreement required. Format: csv

tickers
string

One or more ticker symbols separated by a comma. Maximum 50. Format: csv

primaryTickers
string

One or more primary ticker symbols separated by a comma. Filters by primary ticker association only. Format: csv

channels
string

One or more channel names or IDs separated by a comma. Format: csv

topics
string

One or more words/phrases separated by a comma; searches Title, Tags, and Body in order of priority. Format: csv

topic_group_by
enum<string>
default:or

Logical operator for topics query. Use 'and' to require all topics, 'or' to require any topic

Available options:
and,
or
authors
string

One or more authors separated by a comma. Format: csv

content_types
string

One or more content types separated by a comma. Format: csv

format
enum<string>

Specify the desired format for the api response

Available options:
text
importance
string

Filter by importance level

importanceRank
integer

Filter by importance rank (1-5)

region
string

Filter by region (e.g., 'ca' or 'canada' for Canadian content)

Response

success

author
string
Example:

"Benzinga Newsdesk"

body
string
channels
object[]
created
string
Example:

"Wed, 17 May 2017 14:20:15 -0400"

id
integer
Example:

123456

image
object[]
importance_rank
integer
Example:

1

original_id
integer
stocks
object[]
tags
object[]
teaser
string
title
string
Example:

"Apple Announces New iPhone"

updated
string
Example:

"Wed, 17 May 2017 14:20:15 -0400"

url
string
Example:

"https://www.benzinga.com/news/123456"